<?php
/**
 * Display related posts
 *
 * @author LeapIn Corp.
 * @since 1.0.0
 */
?>
<?php

$instance = ['layout_type' => 'tile_ver4'
    , 'title' => __('Related Posts', 'pjax-blog')
    , 'posts_per_page' => 3
    , 'show_date' => 1
    , 'show_taxonomy' => 'category'
    , 'taxonomy' => 'post_tag'
    , 'order_by' => 'date'
    , 'related_post' => 1
    , 'ajax' => 'leapin_posts'
    , 'more' => true
];
if(LEAPIN_AMP_Tags::is_amp()){
    $instance['ajax'] = '';
}

if (isset($specify) && is_array($specify)) {
    $instance = array_merge($instance, $specify);
}

$widget_args = ['before_title' => '<h3 class="widget-title">', 'after_title' => '</h3>'];

$cq = new LEAPIN_Query_Posts($instance, $widget_args);
$cq->ajax_or_print();
?>

