(function ($, w) {
    $(function () {
        'use strict';
        // // activate alpha color picker
        $('.color-picker').wpColorPicker();
        $(document).ajaxComplete(function () {
            $('.color-picker').wpColorPicker();
        });

        // upgrade notification
        var $upgrade_dialog = $('#upgrade-dialog');
        if ($upgrade_dialog.length > 0) {
            $upgrade_dialog.dialog({
                'maxWidth': 650,
                'width': 650,
                'dialogClass': 'tp-dialog',
                'modal': true,
                'autoOpen': true,
                'closeOnEscape': true,
                'buttons': {
                    "Close": function () {
                        $(this).dialog('close');
                    },
                    "Visit Site": function () {
                        window.open('https://leap-in.com/', '_blank');
                    }
                },
                create: function () {
                    $(this).closest(".ui-dialog")
                        .find(".ui-button:nth-child(2)") // the first button
                        .addClass("button-primary");
                }
            });
        }

        $('.notice-dismiss').on('click', function () {
            var $notice = $(this).parent('.leapin.notice.is-dismissible');
            var dismiss_url = $notice.attr('data-dismiss-url');
            if (dismiss_url) {
                $.get(dismiss_url);
            }
        });
    });
})(jQuery, window);
