<?php
/**
 * footer template
 *
 * @author LeapIn Corp.
 * @since 1.0.0
 */
?>
</div><!-- .inner-content -->
<div id="below_container" class="below_container">
    <!-- widget area for below container -->
    <?php if (is_active_sidebar('below_container')) : ?>

        <?php dynamic_sidebar('below_container'); ?>

    <?php endif; ?>
</div>
<?php do_action('leapin_loc_end_of_content'); ?>
</div><!-- #content -->
<?php leapin_footer(); ?>
<footer id="leapin_footer" class="footer" itemscope itemtype="http://schema.org/WPFooter">

    <div id="inner-footer" class="cf">

        <?php if (is_active_sidebar('footer-area-1')
            || is_active_sidebar('footer-area-2')
            || is_active_sidebar('footer-area-3')
            || is_active_sidebar('footer-area-4')
        ): ?>
            <div id="leapin_footer_widget">
                <div class="leapin-wrap">
                    <div class="row">
                        <?php if (LEAPIN_Footer::hide_column(1)): ?>
                            <div id="footer-area-1" class="footer-widget">
                                <?php if (is_active_sidebar('footer-area-1')): ?>
                                    <?php dynamic_sidebar('footer-area-1'); ?>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>
                        <?php if (LEAPIN_Footer::hide_column(2)): ?>
                            <div id="footer-area-2" class="footer-widget">
                                <?php if (is_active_sidebar('footer-area-2')): ?>
                                    <?php dynamic_sidebar('footer-area-2'); ?>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>
                        <?php if (LEAPIN_Footer::hide_column(3)): ?>
                            <div id="footer-area-3" class="footer-widget">
                                <?php if (is_active_sidebar('footer-area-3')): ?>
                                    <?php dynamic_sidebar('footer-area-3'); ?>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>
                        <?php if (LEAPIN_Footer::hide_column(4)): ?>
                            <div id="footer-area-4" class="footer-widget">
                                <?php if (is_active_sidebar('footer-area-4')): ?>
                                    <?php dynamic_sidebar('footer-area-4'); ?>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        <?php endif; ?>
        <div id="leapin_footer_copytext" class="source-org copyright">
            <p class="leapin-wrap">

                <?php

                $leapin_allowed_html_tags = array(
                    'a' => array(
                        'href' => array(),
                        'target' => array(),
                        'title' => array(),
                        'follow' => array(),
                    ),
                    'br' => array(),
                    'em' => array(),
                    'strong' => array(),
                );
                ?>
                <?php $inst = LEAPIN_Theme_Mod::get_instance();
                $leapin_copytext = $inst->get(LEAPIN_IDs::$leapin_copyright_text, LEAPIN_Theme_Mod::$default_leapin_copyright_text); ?>
                <?php echo trim(wp_kses($leapin_copytext, $leapin_allowed_html_tags)); ?>
                <?php do_action('leapin_loc_footer_author_credit'); ?>
            </p>
        </div>
    </div>

</footer>
</div><!-- .barba-container -->
</div><!-- #barba-wrapper -->
</div><!-- #container -->

<?php // all js scripts are loaded in library/pjax-blog.php ?>
<?php wp_footer(); ?>
<?php do_action('leapin_loc_end_of_body'); ?>
</body>

</html> <!-- end of site. what a ride! -->
