<?php

/**
 * Upgrade Custom Customizer
 *
 * @author LeapIn Corp.
 * @since 1.0.0
 */
class LEAPIN_Upgrade_Customize_Control extends WP_Customize_Control
{
    public function render_content()
    {
        if (isset($this->label)) {
            echo '<span class="customize-control-title">' . $this->label . '</span>';
        }
        if (isset($this->description)) {
            echo '<span class="description customize-control-description">' . $this->description . '</span>';
        }
        echo '<a class="square_btn" href="#" target="_blank">' . __('Upgrade', 'pjax-blog') . '</a>';
        if (isset($this->detail_href)) {
            echo '<a class="square_btn red" href="' . $this->detail_href . '" target="_blank">' . __('Detail', 'pjax-blog') . '</a>';
        }
    }
}
