<?php
/*
 * This is the front page post format.
 *
 * So basically this is a regular post. if you don't want to use page post formats,
 * you can just copy ths stuff in here and replace the post format thing in
 * page.php.
 *
 * @author LeapIn Corp.
 * @since 1.0.0
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('single cf'); ?> <?php echo implode(" ", apply_filters('leapin_single_custom_article_tag', [])); ?>
         data-post_id="<?php the_ID(); ?>" role="article" itemprop="blogPost" itemscope
         itemtype="http://schema.org/BlogPosting">

    <section class="entry-content cf" itemprop="articleBody">
        <?php

        do_action('leapin_loc_home_above_content');
        // the content (pretty self explanatory huh)
        the_content();

        do_action('leapin_loc_home_below_content');

        ?>
    </section> <?php // end article section ?>
</article> <?php // end article ?>
