<?php
/**
 * sidebar template
 *
 * @author LeapIn Corp.
 * @since 1.0.0
 */
?>
<?php

$sidebar_class = '';
if(is_front_page()){
    $sidebar_class = ' front ';
}else if(is_home()){
    $sidebar_class = ' home ';
}
$sidebar_class .= LEAPIN_Theme_Mod::get_instance()->get(LEAPIN_IDs::$leapin_sidebar_widget_title_type, LEAPIN_Theme_Mod::$default_leapin_sidebar_widget_title_type);

?>
<aside id="sidebar1" class="sidebar cf<?php echo $sidebar_class; ?>" role="complementary"
       itemtype="http://schema.org/WPSideBar">

    <?php if (is_singular() && !(is_home() || is_front_page())): ?>

        <?php if (is_active_sidebar('sidebar_single')) : ?>

            <?php dynamic_sidebar('sidebar_single'); ?>

        <?php elseif (is_active_sidebar('sidebar1')) : ?>
            <?php dynamic_sidebar('sidebar1'); ?>

        <?php else: ?>

            <div class="no-widgets">
                <p><?php _e('This is a widget ready area. Add some and they will appear here.', 'pjax-blog'); ?></p>
            </div>

        <?php endif; ?>

    <?php else: ?>
        <?php if (is_active_sidebar('sidebar1')) : ?>

            <?php dynamic_sidebar('sidebar1'); ?>

        <?php else: ?>

            <div class="no-widgets">
                <p><?php _e('This is a widget ready area. Add some and they will appear here.', 'pjax-blog'); ?></p>
            </div>

        <?php endif; ?>
    <?php endif; ?>

</aside>


